<?php

namespace Drupal\basket\Plugins\Params;

interface BasketParamstInterface {
	// Форма с параметрами
	public function getParamsForm(&$form, $form_state, $entity, $ajax);
	// Интерпретация параметров
	public function getDefinitionParams(&$element, $params, $isInline = FALSE);
	// Валидация параметров при добавление / обновление позиции заказа
	/*
        $post = [
            'nid'       => 1,
            'count'     => 1,
            'params'    => [
				'_entity'	=> $entity,
				...
            ]
        ]
    */
	public function validParams(&$response, &$isValid, $post);
}